<?php

/**
 * Plugin Name: Linkhaftung
 * Plugin URI: http://www.sonnenlandimmobilien.de/ratgeber/news/linkhaftung-wordpress-plugin/
 * Author: Peter Eppich
 * Author URI: http://www.sonnenlandimmobilien.de/
 * Description: Dieses Plugin ersetzt zur Vermeidung eventueller Linkhaftung alle externen Links durch entsprechende Suchanfragen an google.
 * Version: 0.7
 **/

function callmeback($thebuffer) {


	$suchstring = 'href="https://';
	$ersetzung = 'href="https://www.google.de/search?q=https://';
	$thebuffer = str_replace($suchstring, $ersetzung, $thebuffer);
	
	$suchstring = 'href="http://';
	$ersetzung = 'href="https://www.google.de/search?q=http://';
	$thebuffer = str_replace($suchstring, $ersetzung, $thebuffer);

	$suchstring = 'href="https://www.google.de/search?q='.get_home_url();
	$ersetzung = 'href="'.get_home_url();
	$thebuffer = str_replace($suchstring, $ersetzung, $thebuffer);
	
	$suchstring = 'href="https://www.google.de/search?q='.get_home_url( null,'','https');
	$ersetzung = 'href="'.get_home_url(null,'','https');
	$thebuffer = str_replace($suchstring, $ersetzung, $thebuffer);
	
	$suchstring = 'href="https://www.google.de/search?q='.get_home_url( null,'','http');
	$ersetzung = 'href="'.get_home_url(null,'','http');
	$thebuffer = str_replace($suchstring, $ersetzung, $thebuffer);
	
	return $thebuffer;
}

function the_buffer_start_now() 
{ 
	ob_start("callmeback"); 
}

function the_buffer_end_now() 
{ 
	ob_end_flush(); 
}

add_action('wp_head', 'the_buffer_start_now');
add_action('wp_footer', 'the_buffer_end_now');

?>
